Skip to main content
`Ctrl`+`K`

# numpy.polynomial.polynomial.Polynomial.basis

method

classmethod polynomial.polynomial.Polynomial.basis(deg, domain=None, window=None, symbol='x')

  Series basis polynomial of degree deg.

  Returns the series representing the basis polynomial of degree deg.

  Parameters:
    deg int

      Degree of the basis polynomial for the series. Must be >= 0.

    domain{None, array_like}, optional

      If given, the array must be of the form `[beg, end]`, where `beg` and `end` are the endpoints of the domain. If None is given then the class domain is used. The default is None.

    window{None, array_like}, optional

      If given, the resulting array must be if the form `[beg, end]`, where `beg` and `end` are the endpoints of the window. If None is given then the class window is used. The default is None.

    symbol str, optional

      Symbol representing the independent variable. Default is ‘x’.

  Returns:
    new_series series

      A series with the coefficient of the deg term set to one and all others zero.